BEGIN {
	IGNORECASE = 1;
	found = 0;
	bracketed_uuid = "unknown";
};
/^[[:space:]]*GPO[[:space:]]*:/ {
	found =  1;
	bracketed_uuid = gensub("^[[:space:]]*GPO[[:space:]]*:[[:space:]]*", "", "g");
};
/^[[:space:]]*display[[:space:]]*name[[:space:]]*:/ {
	if (found ==  1) {
		name[bracketed_uuid] = gensub("^[[:space:]]*display[[:space:]]*name[[:space:]]*:[[:space:]]*", "", "g");
	};
};
/^[[:space:]]*flags[[:space:]]*:/ {
	if (found ==  1) {
		print name[bracketed_uuid] ":" bracketed_uuid ":" gensub("^[[:space:]]*flags[[:space:]]*:[[:space:]]*", "", "g");
		found = 0;
	};
};
